Newegg product reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-newegg-products-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "N82E16820147903",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-newegg-products-reviews"
payload = {
"product": "N82E16820147903",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'N82E16820147903', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-newegg-products-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "newegg_product_reviews",
"product": "N82E16820147903",
"product_id": "N82E16820147903",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Newegg product reviews\n\n- **Product:** N82E16820147903\n- **Starting page:** 1\n- **Max items:** 2\n- **Reviews returned:** 2\n- **Proxy traffic:** 442.0 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "2025042700514066-1lb5yw7",
"rating": 5,
"title": "Big speed numbers!",
"text": "Decided to quit penny pinching and put this in an ASUS Hyper M.2 x16 Gen 5 RAID card and it does rip. Do I need my editing software to load files this fast? No. Is it great that it does? Sure. I ran o",
"pros": "Delivers good real world performance.",
"cons": null,
"author": "Shawn K.",
"created_at": "2025-04-27T00:51:40.66",
"helpful_count": 12,
"vote_count": 12,
"is_verified_owner": true
},
"items": [
{
"id": "2025042700514066-1lb5yw7",
"rating": 5,
"title": "Big speed numbers!",
"text": "Decided to quit penny pinching and put this in an ASUS Hyper M.2 x16 Gen 5 RAID card and it does rip. Do I need my editing software to load files this fast? No. Is it great that it does? Sure. I ran o",
"pros": "Delivers good real world performance.",
"cons": null,
"author": "Shawn K.",
"created_at": "2025-04-27T00:51:40.66",
"helpful_count": 12,
"vote_count": 12,
"is_verified_owner": true
},
{
"id": "2025102510283911-1eh5bxd",
"rating": 5,
"title": "Very Fast M2.",
"text": "Really nice m2 ssd, gen 5 is not a great leap but a nice improvement in processing and snappy computing.",
"pros": "Shortened my boot time about 5 seconds. Rendered a 2.7gig video to 1.8gigs in 2 minutes, with an Intel I5-12600kf. This is about a minute and a half faster then with my gen 4 ssd.",
"cons": "I can not think of any cons at the moment, I have only used the drive for a few weeks.",
"author": "Nick49",
"created_at": "2025-10-25T10:28:39.11",
"helpful_count": 6,
"vote_count": 6,
"is_verified_owner": true
}
],
"proxy_traffic_bytes": 452635
},
"total_points": 2
}E-commerce & Marketplaces
Newegg product reviews
Owner reviews for a Newegg product: rating, title, text, pros, cons, author, date and helpful votes. 1 point per returned record.
POST
/
functions
/
v1
/
run-newegg-products-reviews
Newegg product reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.